<!DOCTYPE html>
<html>

<head>
  <meta charset='utf-8'>
  <title>Pizza 365 project</title>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
  <div class="container">
    <p class="h3 text-center mt-5"> Chọn đồ uống </p>
    <div class="form-group col-12">
      <hr class="mt-5 mb-5" />
    </div>

    <div class="form-group">
      <label>Đồ uống:</label>
      <select class="form-control" id = "id-select">
        <option>Chọn đồ uống</option>
      </select>
    </div>
    <button id="show-result" class="btn btn-primary w-25" onclick="onBtnHienThiClick()">Hiển thị</button>
  </div>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      var xhttp = new XMLHttpRequest();
      callAPI(xhttp);
      XuLyHienThi(xhttp);
    }
    function onBtnHienThiClick(){
      var vDrinkObj = {
        maNuocUong: "",
        tenNuocUong: ""
      };
      thuThapThongTin(vDrinkObj);
      if (validateThongTin(vDrinkObj) === 1) {
        HienThiThongTin (vDrinkObj);
      }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //mã nguồn để load data về
    function sampleCodeLoadData() {
      var xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange =
        function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            console.log(xhttp.responseText); //ghi response text ra console.log
          }
        };
      xhttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
      xhttp.send();
    }
    function callAPI(paramXMLHttp) {
      paramXMLHttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
      paramXMLHttp.send();
    }
    function XuLyHienThi(paramXMLHttp) {
      paramXMLHttp.onreadystatechange =
        function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            console.log(paramXMLHttp.responseText); //ghi response text ra console.log
            var vRespone = JSON.parse(paramXMLHttp.responseText);
            var vSelect = document.getElementById("id-select");
            for (var bI = 0 ; bI < vRespone.length ; bI ++ ) {
              var vOption = document.createElement("option");
              vOption.value = vRespone[bI].maNuocUong;
              vOption.innerHTML = vRespone[bI].tenNuocUong;
              vSelect.appendChild(vOption);
            }

          }
        };
    }
    function thuThapThongTin(paramThongTin) {
      var vSelect = document.getElementById("id-select");
      paramThongTin.maNuocUong = vSelect.value;
      paramThongTin.tenNuocUong = vSelect.options[vSelect.selectedIndex].text;
    }
    function validateThongTin(paramThongTin){
      if (paramThongTin.maNuocUong === "Chọn đồ uống") {
        alert("Bạn chưa chọn loại đồ uống");
      }else return 1;
    }
    function HienThiThongTin(paramThongTin) {
      console.log("%c Thông Tin loại đồ uống : ","color:orange");
      console.log("Mã đồ uống: " + paramThongTin.maNuocUong);
      console.log("Tên Nước Uống: " + paramThongTin.tenNuocUong);
    }
  </script>
</body>

</html>